## hybserv 1.9.4

=== debian/changelog ===
hybserv (1.9.4-1) unstable; urgency=low

  * New upstream release
  * Use manpages from upstream rather than local additions
  * Update watch file to point at Sourceforge
  * Update Standards-Version to 3.9.4; no changes
  * Add Pre-Depends on debconf (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 20 Apr 2013 13:53:44 +0100

hybserv (1.9.2-6) unstable; urgency=low

  * Add full copyright information for contrib/ and compat/ directories
  * Switch to dpkg-source 3.0 (quilt) format with git-dpm
  * Remove command with path from preinst (thanks, Lintian)
  * Remove debian/hybserv.override.linda (thanks, Lintian)
  * Move Homepage from description to separate field (thanks, Lintian)
  * Don't unconditionally ignore 'make clean' errors (thanks, Lintian)
  * Move to debhelper compat level 5 (thanks, Lintian)
  * Run dh_autoreconf to work around oudated autotools helper files
    (thanks, Lintian)
  * Add missing build-arch and build-indep targets (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 04 Apr 2013 21:15:53 +0100

hybserv (1.9.2-5) unstable; urgency=low

  * New maintainer
  * Remove 'automagically' from package description
  * Add dependency on $remote_fs to init script; fixes Lintian error
  * Use dpkg-buildflags in rules, to enable hardening flags
  * Add Vcs-* URLs
  * Reintroduce package into Debian (Closes: #692789)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 06 Jan 2013 12:16:51 +0000

hybserv (1.9.2-4.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Fix DoS via commands with tabs (Closes: #550389)
    Fixes: CVE-2010-0303
  * Add db_stop into hybserv.postinst to avoid that the postinst script
    hangs due to open debconf file descriptors
    Thanks to Julien Cristau

 -- Steffen Joeris <white@debian.org>  Fri, 29 Jan 2010 14:30:27 +0100

hybserv (1.9.2-4) unstable; urgency=low

  * Update 01_fhs+mkdirfix.dpatch:
    + Fix BackupDir which was wrong (finish #320287):
      /etc/hybserv/backup/ => /var/backups/hybserv/.
      Thanks to Julien BLACHE for spotting this.
    + Update Debian patchlevel as usual.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun,  8 Oct 2006 22:56:50 +0200

hybserv (1.9.2-3) unstable; urgency=high

  * Add missing include /usr/share/debconf/confmodule in hybserv.postrm
    and hybserv.preinst. (Closes: #389439, #391176)
  * Update 01_fhs+mkdirfix.dpatch.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun,  8 Oct 2006 20:14:37 +0200

hybserv (1.9.2-2) unstable; urgency=low

  * Remove debconf note. (Closes: #386401)
    Remove:
    + debian/hybserv.config;
    + debian/hybserv.templates;
    + debian/po/.
    Update:
    + debian/hybserv.postinst => remove db_stop;
    + debian/hybserv.postrm => add db_purge;
    + debian/hybserv.preinst => add db_purge.
  * Make debian/hybserv.init LSB-compliant.
  * Update 01_fhs+mkdirfix.dpatch.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Tue, 19 Sep 2006 18:59:18 +0200

hybserv (1.9.2-1) unstable; urgency=low

  * New maintainer. (Closes: #254712)
  * Update to the latest Standards-Version.
  * New upstream major version.
  * Update description in debian/control.
  * Fix debian/rules for new upstream build system.
  * Repackage original tarball without the autom4te.cache/ directory.
  * Removed configure option --disable-threads which does not exist
    anymore.
  * Use the same settings as ircd-hybrid:
    NICKLEN = 15 and TOPICLEN = 350.
  * Execute the unpatch rule after the clean rule.
  * Update 01_fhs+mkdirfix.dpatch and 02_debianize_settings.dpatch
    to match new upstream release.
  * Remove 03_operserv_die_del_pidfile.dpatch which is merged upstream.
  * Add debian/watch.
  * Update FSF address in debian/copyright.
  * Update lintian overrides.
  * Fix a suspected bashism in debian/hybserv.preinst by prepending
    /bin/ to the kill command.
  * ${misc:Depends} now expands to "debconf | debconf-2.0", thanks
    to updated dh_installdebconf. (Closes: #331857)
  * Add debconf Swedish translation from Daniel Nylander.
    (Closes: #331365)
  * Switch to po-debconf. (Closes: #351383)
  * Store backups in /var/backups/hybserv/ instead of
    /etc/hybserv/backup/. (Closes: #320287)
  * Clean debian/hybserv.init and update it with a reload command.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Tue,  5 Sep 2006 02:00:06 +0200

hybserv (1.8.0+1.9.0rc2-1) unstable; urgency=low

  * Since 1.8.0 is amazingly old, we'll use CVS with our own patches as
    necessary for unstable.
       + This release fixes a CMDHALFOP/AUTOHALFOP mismatch that was
         present in 1.8.0. (Closes: #194759)
  * Clean up rules a bit, take out extraneous configure target.
  * Copy config.{sub,guess} to autoconf/ instead of the top build dir.
  * Stop shipping mkpasswd (as a symlink) because mkpasswd-hybrid doesn't
    exist anymore. Also remove the symlinked manpage.
  * Add a linda override.
  * Add new script `finddupe' as an example.
  * Bump Standards-Version to 3.5.10.
  * Changed priority of the debconf invocation to low.

 -- Joshua Kwan <joshk@triplehelix.org>  Mon, 26 May 2003 13:25:03 -0700

hybserv (1.8.0-2) unstable; urgency=low

  * `Oops, I didn't see that!' release.
  * hybserv is now configured with --disable-threads. thanks kreator
  * The init.d script works as advertised now, since hybserv will run in
    a single thread.
  * Removed servchk, which only really applies if pthreads are enabled,
    and they're now not.
  * Fix permissions on /etc/hybserv. This fixes MASSIVE breakage in -1
    where hybserv would not be able to write its .db files in that dir.
  * Removed 'rm -rf debian/patched' and 'rm -f patch-stamp' from the
    clean target as dpatch's unpatch target handles this already. (minor)
  * Added an overrides file. It's a Good Thing that not just everyone
    can read the server-to-server passwords in hybserv.conf, so those weird
    permissions are excusable.
  * Removed the files that are repairage for stuff that was broken in

