=== debian/control ===
Source: hybserv
Section: net
Priority: extra
Maintainer: Dominic Hargreaves <dom@earth.li>
Build-Depends: debhelper (>= 5),
 dpkg-dev (>= 1.16.1~),
 dh-autoreconf
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/users/dom/hybserv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/hybserv.git
Homepage: http://www.hybserv.net/

Package: hybserv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ircd-hybrid (>= 7.2.2)
Conflicts: dancer-services
Pre-Depends: debconf
Description: IRC services for IRCD-Hybrid
 HybServ is a daemon that connects to your IRCD-Hybrid server and
 provides nickname, channel, memo, and oper services to your entire
 network if it is configured correctly to talk with your IRC server.
 .
 In short, these allow users to register nicknames and channels to
 prevent EFnet-style takeovers thereof, allow opers to easily manage
 glines, klines, and other server settings, and allow users with
 registered nicknames to leave messages for others.
 .
 HybServ is the services package of choice on IRC networks such
 as Aniverse.
