=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the hybserv package

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

NICKLEN = 15
TOPICLEN = 350

config.status:
	dh_testdir
	dh_autoreconf
	./configure \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var/log \
	--with-nicklen=$(NICKLEN) \
	--with-topiclen=$(TOPICLEN)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  config.status
	dh_testdir

	$(MAKE) CFLAGS='$(CFLAGS)'

	touch build-stamp

clean: clean1

clean1:
	dh_testdir
	dh_testroot
	dh_autoreconf_clean
	rm -f *-stamp config.log
	rm -rf debian/doc-pages
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/hybserv/ install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot

	# mkpasswd -Hmd5 
	rm	debian/hybserv/usr/sbin/mkpasswd

	cp bin/logon.news debian/hybserv/etc/hybserv

	dh_lintian

	rm debian/hybserv/usr/sbin/show*
	ln -s hybserv debian/hybserv/usr/sbin/showchans
	ln -s hybserv debian/hybserv/usr/sbin/shownicks

	dh_installdocs
	dh_installman doc/*.8

	# Drop these files. Basically they are repairage for fallout 
	# from older upstream versions or for servchk which only works
	# as advertised if threads are enabled.
	# And finddupe is just an example now.

	rm	debian/hybserv/usr/sbin/encrypt* \
		debian/hybserv/usr/sbin/servchk \
		debian/hybserv/usr/sbin/finddupe

	dh_installexamples bin/finddupe

	dh_installinit -u "defaults 21"
	dh_installchangelogs ChangeLog
	dh_installdebconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms

	touch debian/hybserv/etc/hybserv/glines.conf
	touch debian/hybserv/etc/hybserv/jupes.conf

	chmod 660 debian/hybserv/etc/hybserv/*
	chown -R irc:irc debian/hybserv/etc/hybserv debian/hybserv/var/backups/hybserv

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean clean1 binary-indep binary-arch binary install
