## hybserv 1.9.5

=== debian/changelog ===
hybserv (1.9.5-1) unstable; urgency=low

  * New upstream release
  * Use autotools-dev to update config.{guess,sub} to support new
    architectures (Closes: #727900)
  * Fix FSF address lintian warning
  * Source LSB functions in init script for systemd compatibility
    (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Wed, 01 Jan 2014 19:37:52 +0000
