=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Dominic Hargreaves <dom@earth.li>
 Build-Depends: debhelper (>= 5),
  dpkg-dev (>= 1.16.1~),
- dh-autoreconf
+ dh-autoreconf,
+ autotools-dev
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/users/dom/hybserv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/hybserv.git
