=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 config.status:
 	dh_testdir
 	dh_autoreconf
+	dh_autotools-dev_updateconfig
 	./configure \
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--build=$(DEB_BUILD_GNU_TYPE) \
@@ -39,6 +40,7 @@
 clean1:
 	dh_testdir
 	dh_testroot
+	dh_autotools-dev_restoreconfig
 	dh_autoreconf_clean
 	rm -f *-stamp config.log
 	rm -rf debian/doc-pages
