=== debian/watch ===
version=3
http://sf.net/hybserv2/hybserv-(.+)\.tar\.gz
